Subject: [L2tpext] draft-ietf-l2tpext-l2tp-base-14 : About RouterID

From: Arif <[email-masked]>
Date: Wed, 08 Sep 2004 15:27:04 +0530

Hi ,

Some clarification about Router ID in draft-ietf-l2tpext-l2tp-base-14

In drafts its mentioned

Multiple sessions may be bound to a single control
   connection, and multiple control connections may exist between the
   same two LCCEs.

The Router Identifier is a 4-octet unsigned integer.  Its value is
   unique for a given LCCE, per Section 8.1 of [RFC2072].  The Host Name
   AVP and/or Router ID AVP MUST be used to identify an LCCE as
   described in Section 3.3.

 The following AVPs MUST be present in the SCCRQ:

      Message Type
      Host Name
      Router ID
      Assigned Control Connection ID
      Pseudowire Capabilities List

-------------
Its mentioned that the Router ID should be unique for a given LCCE and
also  there can be multiple control connection between 2 LCCEs .
So with the above mandotory AVPS of SCCRQ how this is possible to have
multiple control connection, if the router ID is unique.

Please reply,
Thanks and Regards,
Arif

_______________________________________________
L2tpext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l2tpext

---

From: "W. Mark Townsley" <[email-masked]>
Date: Wed, 08 Sep 2004 08:17:27 -0400

Arif wrote:

>    connection, and* multiple control connections may exist between the*
> *   same two LCCEs.*
> 
>   * unique for a given LCCE*, per Section 8.1 of [RFC2072].  The Host Name

By unique, we mean within an administrative domain. So, no two LCCEs that need 
to setup L2TPv3 control connections between one another will have the same 
Router ID. A given LCCE could have more than one Router ID, but this is not 
necessary for multiple control connections between two LCCEs.

> multiple control connection, if the router ID is unique.

The Assigned Control Connection ID, which is an ephemeral value chosen by the 
sender of the SCCRQ and SCCRP, actually identifies a given control connection. 
If there was significant reason to, one could setup as many control connections 
as there was CPU and memory for between the same pair of LCCEs using the same 
Router ID. That said, I can't think of a significant reason to have multiple 
control connections between two LCCEs - unless, perhaps, there was a desire to 
administratively group sessions and there was no other mechanism for doing so 
available.

- Mark

> 
> Please reply,
> Thanks and Regards,
> Arif
> 
> 
> 
> 
> 
> ------------------------------------------------------------------------
>

---

From: "W. Mark Townsley" <[email-masked]>
Date: Wed, 08 Sep 2004 08:39:47 -0400

W. Mark Townsley wrote:

> By unique, we mean within an administrative domain. So, no two LCCEs 
> that need to setup L2TPv3 control connections between one another will 
> have the same Router ID. A given LCCE could have more than one Router 
> ID, but this is not necessary for multiple control connections between 
> two LCCEs.
> 
>>
> The Assigned Control Connection ID, which is an ephemeral value chosen 
> by the sender of the SCCRQ and SCCRP, actually identifies a given 
> control connection. If there was significant reason to, one could setup 
> as many control connections as there was CPU and memory for between the 
> same pair of LCCEs using the same Router ID. That said, I can't think of 
> a significant reason to have multiple control connections between two 
> LCCEs - unless, perhaps, there was a desire to administratively group 
> sessions and there was no other mechanism for doing so available.

Another note... If the "Control Connection Tie Breaker" AVP described in section 
5.4.3 is present on either side of the connection, only one Control Connection 
is permitted. Only in the case where no tie breaker is sent by either side will 
multiple Control Connections be permitted between the same Router ID and/or 
Hostname (still, if you have more than one Router ID and/or Hostname on a given 
LCCE, a control connection may be setup between each unique pair).

- Mark

---

From: Wei Luo <[email-masked]>
Date: Wed, 08 Sep 2004 10:35:02 -0700

> ID, but this is not necessary for multiple control connections between 

If an LCCE has more than one Router ID, should it be considered in fact 
as multiple logic (or virtual) LCCEs?

As the End ID is unique on a per Router ID basis, if one logic LCCE has 
multiple Router ID, we would have to assign an End ID *AND* an Router ID 
to a local forwarder, e.g. an attachment circuit.  Otherwise, when 
refering to a remote forwarder, the tuples <Router ID 1, End ID> and 
<Router ID 2, End ID> might end up referring to the same remote forwarder.

---Wei